// Web Services
// Date    : 2012/02/13
// Version : 0.5

// -- User Interface Definition

	var firstFormUI_ = {view:"form", id:"firstTab_", scroll:true, elements:[
								{ view:"toggle",name: "geolocationMode_", id:'geolocationMode_', options: [{value:1, label:"Auto"},{value:2, label:"Manual"}], align: "center" },
								{view:"label", label: ""},
								{type:"clean",
									cols:[
											{view:"label", label: "", width:40},
											{view:"button", id:"resetBtn_", type:"round", label: "Reset", inputWidth:100, align:"center", click: 'aws_getIPGeolocation()'},																												
											{view:"button", id:"saveBtn_", type:"round", label: "Save", inputWidth:100, align:"center",click:"awsui_saveLocationFormToLocalStorage()"},
											{view:"label", label: "", width:40}
										]
								}
							]	
	};
	
	var canvasFormUI_ = {view:"form", id:"canvasTab_", scroll:true, elements:[
								{view:"chart", id:'chartView_',type:'pie'}								
								]	
	};
	
	var threeUI_ = {view:"form",  id:"threeTab_", scroll:true, elements:[
							{view:"label", label: "label", width:40}
						]
	};
				
// For mobile terminals
	var mobileUI_ = { container:"box",
						rows:[{view:"toolbar", type:"MainBar", elements:[{view:"label", label: "Web Services", align:'left'}]},
								{ view:"toolbar", type:"BigTabBar", id:"TopToolbar", elements:[
										{view:"tabbar", id: "tabbar", multiview: true, selected: "firstTab_", align:"center", options:[
														{label: 'First', value: 'firstTab_'},
														{label: 'Canvas', value: 'canvasTab_'},
														{label: 'Three', value: 'threeTab_'}
													]
										}
									]
								},
								{gravity:2,  // dimensional parameter
									view:"multiview", width:380, height:340,// specifies multiview component
									cells:[ firstFormUI_,
											canvasFormUI_,
											threeUI_    
										]
								}
						]//end rows
	};//end mobileUI_
	
	// For desktop computers	
	var desktopUI_ = {	view:"window", id:"desktopAppWd",
						modal:true, 
						move:true, 
						width: 440, 
						height:480, 
						head:{
								view:"toolbar", type:"SubBar", elements:[
																			{ view:"label", label:"" },
																			{view:"button", label:"Close", click:"$$('desktopAppWd').close();", align:"rigth",width:80}
																		]
						},
						body: mobileUI_
						//top:100, left:100,			
	}

