// Web Services
// Date    : 2012/02/13
// Version : 0.5

// --------------------------------------------------------------
// UI component functions
// --------------------------------------------------------------

function awsui_buildUIApp(){	
	//localStorage.clear();
	dhx.ready(function(){
	
		dhx.ui(desktopUI_);	
		
		//Connect Event handlers
        awsui_attachEvents();	
		
        $$("tabbar").show(); // specifies which tab will be showed initially
		
	});//end of  dhx.ready(function(){

}

// -------------------------------------------------------------------------------------
//	Events
// -------------------------------------------------------------------------------------

function awsui_attachEvents(){

	$$("tabbar").attachEvent("onBeforeTabClick",function(button,id){ //it's a function which allows us to change tabs over
		if(id == 'canvasTab_')
			drawShape();	
			
		$$(id).show();
	
		return true;
    });
}

//--------------------------------------------------------------------------------------------------------
// UI component for xooxle Geolocalisation
//--------------------------------------------------------------------------------------------------------

// UI component for Orientation
function drawShape(){
	$$('chartView_').clearCanvas();

	var canvas = $$('chartView_').getCanvas().canvas;
	var centerX_ = canvas.width/2;
	var centerY_ = (canvas.width/2) - 40;
	
	var context = canvas.getContext("2d");
	//context.clearRect(0,0,canvas.width,canvas.height);
	
	//Draw the mid center 
	context.beginPath();
	context.arc(centerX_,centerY_,70,0,2*Math.PI,false);
	context.fillStyle = "#D38353";
	context.lineWidth = 3;
	context.strokeStyle = "#D4183F";
    context.fill();
	context.stroke();
	context.closePath();
}

